Update latest tested versions of Jira, Bitbucket and Confluence in all branches
UPM-6001
Customer can inadvertently end up running the wrong version of a Server/DC App
UPM-6000
Installed Addons not displayed
UPM-5990
Confluence Cloud UPM show i18n keys instead of values
UPM-5954
Clicking "Update to Data Center" button reports "unexpected error" when app already has Server license installed
UPM-6071
Consider replacing $esc velocity template variable with Underscore $js helper
UPM-6065
Stop performing potentially long-running tasks from P2 conditions
UPM-6062
Review web-item conditions with regards to visibility.isInstalled
UPM-6060
Add an endpoint to fetch host license information
UPM-6057
Apps activated along with the product are never installed
UPM-6056
Installation Message confusing Customers
UPM-6055
Prevent customers from attempting to trial an app when account is in arrears
UPM-6047
UPM shows "Update Available", but newer version is already installed
UPM-6046
UPM should listen for suspension and unsuspension events and clear its internal license cache
UPM-6045
Investigate why UPM exports the atlassian-jwt package
UPM-6035
Prevent upgrade of UPM in products to control the impact of the plugin’s changes
UPM-6034
RSS (Atom) feed in UPM Audit log does not provide URL with authentication
UPM-6029
Provide a standard pattern for Vendors to provide an in app message to customers with alerts
UPM-6028
UPM 3.0.4 have dependency issue with 'Confluence Questions' plugin
UPM-6026
Support for new pricing API in marketplace-client-java
UPM-6023
Update "Incompatible - Update Available" to "Not Data Center Approved - Update Available"
UPM-6019
Fix UPM integration tests
UPM-6018
in UPM 2 and 3, "Manage Apps Page" does not load for Bitbucket Server. Start BBS 5.16.5 and goto "Manage Apps " page . The page does not load.
UPM-6017
Provide corrective action option to admin
UPM-6015
Licence enforcement Phase II
UPM-6013
UPM document release procedure for breaking changes
UPM-6006
InstallTabTest.java and UpdatePluginsTest.java have tests intermittently failing and have been ignored for JIRA test group only
UPM-6002
Pre 3.0.1 UPM versions provide confusing error message for DC Licenses
UPM-5999
UPM in Data Center deployments sometimes offer older versions of existing plugins as a possible update
UPM-5997
Scroll Word Exporter for Confluence throws error while installing by Vendor k15t
UPM-5994
No option to attach contact details when adding feedback from uninstall
UPM-5993
Missing Uninstall button for deleted apps
UPM-5986
Broken URL from '+ Build a new app' CTA on `jira-instance-name.jira-dev.com/plugins/servlet/upm`
UPM-5980
Support the Ability to Downgrade Add-ons in the UI
UPM-5979
Message indicating successful installation is misleading when attempting to rollback through file upload
UPM-5976
As an admin, I would like to rollback apps by file upload
UPM-5975
More accurate Privacy policy messaging on app upload menu
UPM-5960
Update REST endpoint /rest/plugins/1.0/ to deprecate userKey with accoundId
UPM-5916
It is not possible to self update upm in Fisheye/Crucible
UPM-5873
German language is not scaled in designated frame
UPM-5872
As an admin, I would like an easier way to apply my developer licenses after a production restore
UPM-5855
Google Analytics Event Tracking in UPM
UPM-5744
Change references to 'add-ons' in UPM
UPM-5740
Changes to UPM, AMKT, Docs to support the 'Add-ons' to 'Apps' rebranding effort
UPM-5739
UPM REST API need to be properly documented
UPM-5709
Allow vendors to accept custom uninstallation/disablement feedback options
UPM-5672
User requests for add-ons do not generate email
UPM-5664
Implied scopes are not handled consistently
UPM-5660
Add-on subscription flow does not display an error message when users are in their grace period
UPM-5648
Safe mode disabling JIRA Service Desk application
UPM-5642
issue 1 of 108

Update latest tested versions of Jira, Bitbucket and Confluence in all branches

Description

Currently the latest supported versions of host products in UPM production branches (master, 2.22.x, 3.0.x) are obsolete. They are not the latest available versions at all.

It is crucial that we should update the versions to the max possible available, accordingly.

 

Environment

None

Testing Notes

All the builds for master, 2.22.x and 3.0.x branches must be green.

Security Policy

None

Status

Assignee

Andrew Swan

Reporter

Vivek Verma

Labels

None

Team

None

QA Dev

None

Needs Doc

None

Peer Reviewer

None

Mgr Approver

None

CC

None

Product

None

App Key

None

DC app ready for review?

None

Components

Affects versions

Priority

Critical
Configure